Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 162445 - Missing API for excluding .jars from a .war
Missing API for excluding .jars from a .war
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Web Project
6.x
All All
: P3 with 2 votes (vote)
: 6.x
Assigned To: David Konecny
issues@javaee
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-11 11:27 UTC by Tim Lebedkov
Modified: 2009-07-20 11:12 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Lebedkov 2009-04-11 11:27:28 UTC
I add a library to a web project using ProjectClassPathModifier.addLibraries.
There seems to be no way to disable packaging of the added library in a web project.
Comment 1 Petr Jiricka 2009-06-12 11:12:28 UTC
I recall we hit this before and it is addressed somehow - Davide?
Comment 2 David Konecny 2009-07-01 01:28:42 UTC
See web.project module. There is org.netbeans.modules.web.project.api.WebProjectLibrariesModifier which should do what
you need. WebProjectLibrariesModifier can be retrieved from project's lookup.
Comment 3 Tim Lebedkov 2009-07-04 11:45:32 UTC
Unfortunately I cannot use the module:

C:\Programme\NetBeans 6.5\harness\build.xml:98: The module org.netbeans.modules.gwt4nb is not a friend of 
C:\Programme\NetBeans 6.5\enterprise5\modules\org-netbeans-modules-web-project.jar
Comment 4 Tim Lebedkov 2009-07-04 19:51:54 UTC
Currently the following code is used (and the library added this way will be deployed):

                ProjectClassPathModifier.addLibraries(
                        new Library[] {libUser},
                        sourcesDir,
                        ClassPath.COMPILE);

isn't it a valid way to add a library without deploying it? There is also ClassPath.EXECUTE available. Isn't it a bug in ProjectClassPathModifier.addLibraries?
Comment 5 David Konecny 2009-07-05 23:56:56 UTC
If you have commit rights then add org.netbeans.modules.gwt4nb as friend of web.project or I can do it for you.
Comment 6 Tim Lebedkov 2009-07-06 07:57:11 UTC
Could you please add the module to the list?
The code name base is org.netbeans.modules.gwt4nb

What would be the best workaround for NB 6.7?
Comment 7 Petr Jiricka 2009-07-07 14:04:22 UTC
Here is the problem on the GWT module side: https://gwt4nb.dev.java.net/issues/show_bug.cgi?id=53
Comment 8 David Konecny 2009-07-07 23:02:51 UTC
Fixed in 3bb0be175af0. If you grab a build containing the fix (once available) and verify that it works then perhaps fix
could be included in 6.7 patch release.
Comment 9 David Konecny 2009-07-07 23:03:23 UTC
.
Comment 10 Jindrich Sedek 2009-07-08 09:30:08 UTC
reviewed by QE, the fixes is allowed to be transplanted into 6.7, reporter please verify the patch fixed your issue
Comment 11 Quality Engineering 2009-07-08 18:11:51 UTC
Integrated into 'main-golden', will be available in build *200907081400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/3bb0be175af0
User: David Konecny <dkonecny@netbeans.org>
Log: #162445 - adding new friend (org.netbeans.modules.gwt4nb)
Comment 12 pgebauer 2009-07-09 13:53:13 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/383ce72ba15e
Comment 13 Jindrich Sedek 2009-07-20 11:12:30 UTC
reviewed in release67_fixes rep


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo